import { baseUrl, datasyn, dataCenter } from "@/api/scan/config";
import httputils from "@/api/scan/httpUtil";

/**
 * 查询项目id对应得集团id
 * @param { 接口参数 } param
 */
 export function queryGroupCode(param, success, error) {
	return httputils.getJson(`${baseUrl}${datasyn}/record/query/project`, param, success, error)
}

/**
 * 查询项目下得日志
 * @param { 接口参数 } param
 */
export function queryTableList(param, success, error) {
    return httputils.postJson(`${baseUrl}${datasyn}/record/query`, param, success, error)
}

// 查询迁移数据日志
export const syncDataLogList = (param, success, error) => {
    return httputils.postJson(`${baseUrl}${dataCenter}/data/migration/log`, param, success, error)
}


// 同步数据
export const syncData = (param, success, error) => {
    const url = `${baseUrl}${dataCenter}/data/migration/start`;
    return httputils.postJson(url, param, success, error)
}

// 根据域名下载报表
export const dHttpExport = (param, success) => {
    const url = `${baseUrl}${dataCenter}/data/migration/excel`;
    return httputils.download(url, param, success)
  }
  

/**
 * 查询对象类型
 * @param { 接口参数 } param
 */
export function queryobjType(param, success, error) {
    return httputils.getJson(`${baseUrl}${datasyn}/record/query/type`, param, success, error)
}

/**
 * 查询中台是否在线
 * @param { 接口参数 } param
 */
export function queryIsOnline(param, success, error) {
    return httputils.getJson(`${baseUrl}${datasyn}/record/query/online`, param, success, error)
}

/**
 * 重新同步消息
 * @param { 接口参数 } param
 */
export function queryRecordSyn(param, success, error) {
    return httputils.postJson(`${baseUrl}${datasyn}/record/syn/data`, param, success, error)
}

/**
 * 更新日志信息
 * @param { 接口参数 } param
 */
export function queryRecordUpdata(param, success, error) {
    return httputils.postJson(`${baseUrl}${datasyn}/record/update`, param, success, error)
}
/**
 * @description: 迁移数据,获取执行脚本文件
 * @param {string} projectId
 * @return {*}
 */
export function exportSql(param, success) {
    return httputils.getDownload(`${baseUrl}${dataCenter}/data/migration/getSqlFile`, param, success)
} 
/**
 * @description: 清除日志
 * @param {*}
 * @return {*}
 */
export function clearLogApi(param, success) {
    return httputils.postJson(`${baseUrl}${dataCenter}/data/migration/deleteLog`, param, success)
}
